package cn.iocoder.yudao.module.dms.controller.admin.checkplan.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 点巡检计划分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DmsCheckPlanPageReqVO extends PageParam {

    @Schema(description = "巡检计划名称")
    private String name;

    @Schema(description = "巡检计划模板ID")
    private Long checkTemplateId;

    @Schema(description = "巡检计划模板名称")
    private String checkTemplateName;

    @Schema(description = "设备ID")
    private Long deviceId;

    @Schema(description = "设备名称")
    private String deviceName;

    @Schema(description = "设备代码")
    private String deviceCode;

    @Schema(description = "点检项JSON配置")
    private String checkItems;

    @Schema(description = "模板分类ID")
    private Long templateClassifyId;

    @Schema(description = "模板分类名称")
    private String templateClassifyName;

    @Schema(description = "模板分类代码")
    private String templateClassifyCode;

    @Schema(description = "设备分类ID")
    private Long deviceClassifyId;

    @Schema(description = "设备分类名称")
    private String deviceClassifyName;

    @Schema(description = "设备分类代码")
    private String deviceClassifyCode;

    @Schema(description = "计划开始日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] startTime;

    @Schema(description = "计划结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] endTime;

    @Schema(description = "创建者ID")
    private Long creatorId;

    @Schema(description = "创建者")
    private String creatorName;

    @Schema(description = "执行者ID")
    private Long executorId;

    @Schema(description = "执行者")
    private String executorName;

    @Schema(description = "模板检查周期类型")
    private Integer checkPeriodType;

    @Schema(description = "模板检查周期执行时间值")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Integer[] checkPeriodTime;

    @Schema(description = "间隔次数")
    private Integer checkPeriodInterval;

    @Schema(description = "备注")
    private String note;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "生成最近任务数量")
    private Integer taskNum;

    @Schema(description = "UUID")
    private String uuid;

    @Schema(description = "使用标识")
    private Short useFlag;

}
