package cn.iocoder.yudao.module.dms.controller.admin.checkplan.vo;

import cn.iocoder.yudao.framework.excel.core.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.core.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 点巡检计划 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DmsCheckPlanRespVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("ID 自增长")
    private Long id;

    @Schema(description = "巡检计划名称")
    @ExcelProperty("巡检计划名称")
    private String name;

    @Schema(description = "巡检计划模板ID")
    @ExcelProperty("巡检计划模板ID")
    private Long checkTemplateId;

    @Schema(description = "巡检计划模板名称")
    @ExcelProperty("巡检计划模板名称")
    private String checkTemplateName;

    @Schema(description = "设备ID")
    @ExcelProperty("设备ID")
    private Long deviceId;

    @Schema(description = "设备名称")
    @ExcelProperty("设备名称")
    private String deviceName;

    @Schema(description = "设备代码")
    @ExcelProperty("设备代码")
    private String deviceCode;

    @Schema(description = "点检项JSON配置")
    @ExcelProperty("点检项JSON配置")
    private String checkItems;

    @Schema(description = "模板分类ID")
    @ExcelProperty("模板分类ID")
    private Long templateClassifyId;

    @Schema(description = "模板分类名称")
    @ExcelProperty("模板分类名称")
    private String templateClassifyName;

    @Schema(description = "模板分类代码")
    @ExcelProperty("模板分类代码")
    private String templateClassifyCode;

    @Schema(description = "设备分类ID")
    @ExcelProperty("设备分类ID")
    private Long deviceClassifyId;

    @Schema(description = "设备分类名称")
    @ExcelProperty("设备分类名称")
    private String deviceClassifyName;

    @Schema(description = "设备分类代码")
    @ExcelProperty("设备分类代码")
    private String deviceClassifyCode;

    @Schema(description = "计划开始日期")
    @ExcelProperty("计划开始日期")
    private LocalDateTime startTime;

    @Schema(description = "计划结束日期")
    @ExcelProperty("计划结束日期")
    private LocalDateTime endTime;

    @Schema(description = "创建者ID")
    @ExcelProperty("创建者ID")
    private Long creatorId;

    @Schema(description = "创建者")
    @ExcelProperty("创建者")
    private String creatorName;

    @Schema(description = "执行者ID")
    @ExcelProperty("执行者ID")
    private Long executorId;

    @Schema(description = "执行者")
    @ExcelProperty("执行者")
    private String executorName;

    @Schema(description = "模板检查周期类型")
    @ExcelProperty("模板检查周期类型")
    private Integer checkPeriodType;


    @Schema(description = "模板检查周期执行时间值")
    @ExcelProperty("模板检查周期执行时间值")
    private Integer checkPeriodTime;
    @Schema(description = "间隔次数")
    @ExcelProperty("间隔次数")
    private Integer checkPeriodInterval;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String note;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "生成最近任务数量")
    @ExcelProperty("生成最近任务数量")
    private Integer taskNum;

    @Schema(description = "UUID")
    @ExcelProperty("UUID")
    private String uuid;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty(value = "使用标识", converter = DictConvert.class)
    @DictFormat("use_flag") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Short useFlag;

}
