package cn.iocoder.yudao.module.dms.controller.admin.checktaskitem.vo;

import cn.iocoder.yudao.framework.excel.core.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.core.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 点巡检任务检查项 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DmsCheckTaskItemRespVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("ID 自增长")
    private Long id;

    @Schema(description = "点巡检模板ID")
    @ExcelProperty("点巡检模板ID")
    private Long checkTemplateId;

    @Schema(description = "点巡检任务ID")
    @ExcelProperty("点巡检任务ID")
    private Long checkTaskId;

    @Schema(description = "UUID")
    @ExcelProperty("UUID")
    private String uuid;

    @Schema(description = "模板检查项名称")
    @ExcelProperty("模板检查项名称")
    private String name;

    @Schema(description = "模板检查项内容")
    @ExcelProperty("模板检查项内容")
    private String content;

    @Schema(description = "图片")
    @ExcelProperty("图片")
    private String imgs;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String note;

    @Schema(description = "模板检查项ID")
    @ExcelProperty("模板检查项ID")
    private Long checkTemplateItemId;

    @Schema(description = "模板检查项名称")
    @ExcelProperty("模板检查项名称")
    private String checkTemplateItemName;

    @Schema(description = "显示序列")
    @ExcelProperty("显示序列")
    private Integer orderNum;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty(value = "使用标识", converter = DictConvert.class)
    @DictFormat("use_flag") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Short useFlag;

}
