package cn.iocoder.yudao.module.dms.controller.admin.checktemplate.vo;

import cn.iocoder.yudao.framework.excel.core.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.core.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 点巡检模板 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DmsCheckTemplateRespVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED, example = "13878")
    @ExcelProperty("ID 自增长")
    private Long id;

    @Schema(description = "模板名称", example = "李四")
    @ExcelProperty("模板名称")
    private String name;

    @Schema(description = "点检项JSON配置")
    @ExcelProperty("点检项JSON配置")
    private String checkItems;

    @Schema(description = "模板分类ID", example = "25775")
    @ExcelProperty("模板分类ID")
    private Long classifyId;

    @Schema(description = "模板分类名称", example = "张三")
    @ExcelProperty("模板分类名称")
    private String classifyName;

    @Schema(description = "设备分类ID", example = "29479")
    @ExcelProperty("设备分类ID")
    private Long deviceClassifyId;

    @Schema(description = "设备分类名称", example = "张三")
    @ExcelProperty("设备分类名称")
    private String deviceClassifyName;

    @Schema(description = "模板类型", example = "1")
    @ExcelProperty("模板类型")
    private Integer checkTemplateType;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String note;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "UUID", example = "29651")
    @ExcelProperty("UUID")
    private String uuid;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty(value = "使用标识", converter = DictConvert.class)
    @DictFormat("use_flag") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Short useFlag;

}