package cn.iocoder.yudao.module.dms.controller.admin.checktemplate.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 点巡检模板新增/修改 Request VO")
@Data
public class DmsCheckTemplateSaveReqVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED, example = "13878")
    private Long id;

    @Schema(description = "模板名称", example = "李四")
    private String name;

    @Schema(description = "点检项JSON配置")
    private String checkItems;

    @Schema(description = "模板分类ID", example = "25775")
    private Long classifyId;

    @Schema(description = "模板分类名称", example = "张三")
    private String classifyName;

    @Schema(description = "设备分类ID", example = "29479")
    private Long deviceClassifyId;

    @Schema(description = "设备分类名称", example = "张三")
    private String deviceClassifyName;

    @Schema(description = "模板类型", example = "1")
    private Integer checkTemplateType;

    @Schema(description = "备注")
    private String note;

    @Schema(description = "UUID", example = "29651")
    private String uuid;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "使用标识不能为空")
    private Short useFlag;

}