package cn.iocoder.yudao.module.dms.controller.admin.checktemplateclassify.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 点巡检模板分类列表 Request VO")
@Data
public class DmsCheckTemplateClassifyListReqVO {

    @Schema(description = "设备设施分类名称")
    private String name;

    @Schema(description = "描述")
    private String note;

    @Schema(description = "父设备设施分类ID")
    private Long parentId;

    @Schema(description = "上级分类名称")
    private String parentName;

    @Schema(description = "父子级联代码")
    private String pcode;

    @Schema(description = "分类级别 从1开始")
    private Integer level;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "显示序列 从小到大")
    private Integer orderNum;

    @Schema(description = "UUID")
    private String uuid;

    @Schema(description = "使用标识")
    private Short useFlag;

}
