package cn.iocoder.yudao.module.dms.controller.admin.checktemplateclassify.vo;

import cn.iocoder.yudao.framework.excel.core.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.core.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 点巡检模板分类 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DmsCheckTemplateClassifyRespVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("ID 自增长")
    private Long id;

    @Schema(description = "设备设施分类名称")
    @ExcelProperty("设备设施分类名称")
    private String name;

    @Schema(description = "描述")
    @ExcelProperty("描述")
    private String note;

    @Schema(description = "父设备设施分类ID")
    @ExcelProperty("父设备设施分类ID")
    private Long parentId;

    @Schema(description = "上级分类名称")
    @ExcelProperty("上级分类名称")
    private String parentName;

    @Schema(description = "父子级联代码")
    @ExcelProperty("父子级联代码")
    private String pcode;

    @Schema(description = "分类级别 从1开始")
    @ExcelProperty("分类级别 从1开始")
    private Integer level;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "显示序列 从小到大")
    @ExcelProperty("显示序列 从小到大")
    private Integer orderNum;

    @Schema(description = "UUID")
    @ExcelProperty("UUID")
    private String uuid;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty(value = "使用标识", converter = DictConvert.class)
    @DictFormat("use_flag") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Short useFlag;

}
