package cn.iocoder.yudao.module.dms.controller.admin.device.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 设备管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DmsDevicePageReqVO extends PageParam {

    @Schema(description = "UUID")
    private String uuid;

    @Schema(description = "设备设施名称")
    private String name;

    @Schema(description = "设备描述")
    private String ddesc;

    @Schema(description = "设备分类ID")
    private Long cid;

    @Schema(description = "设备分类名称")
    private String cname;

    @Schema(description = "父子级联代码")
    private String pcode;

    @Schema(description = "设备二维码")
    private String qrCode;

    @Schema(description = "作业场所ID")
    private Long workPlaceId;

    @Schema(description = "作业场所")
    private String workPlaceName;

    @Schema(description = "所在ID")
    private Long partId;

    @Schema(description = "所在部位")
    private String partName;

    @Schema(description = "投入使用时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] startDate;

    @Schema(description = "结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] endDate;

    @Schema(description = "设备图片 分号间隔")
    private String imgs;

    @Schema(description = "设备型号")
    private String deviceModel;

    @Schema(description = "特种设备标识")
    private Integer specialFlag;

    @Schema(description = "厂内编号")
    private String factoryNo;

    @Schema(description = "制造单位")
    private String manufactureCompany;

    @Schema(description = "安装单位")
    private String installCompany;

    @Schema(description = "设备管理员")
    private String managerName;

    @Schema(description = "运行状态")
    private Integer runStatus;

    @Schema(description = "是否完成注册标识")
    private Integer registerFlag;

    @Schema(description = "注册登记证编号")
    private String registerNo;

    @Schema(description = "三同时资料")
    private String datums;

    @Schema(description = "附件")
    private String files;

    @Schema(description = "风险分析对象编码")
    private String riskNo;

    @Schema(description = "检验日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] checkoutDate;

    @Schema(description = "检验单位Id")
    private Long checkoutCompanyId;

    @Schema(description = "检验单位")
    private String checkoutCompany;

    @Schema(description = "检验合格证号")
    private String checkoutNo;

    @Schema(description = "检验附件")
    private String checkoutFiles;

    @Schema(description = "备注")
    private String note;

    @Schema(description = "地图坐标经度")
    private Double lng;

    @Schema(description = "地图坐标纬度")
    private Double lat;

    @Schema(description = "设备规格")
    private String deviceSpecification;

    @Schema(description = "设备管理员ID")
    private Long managerId;

    @Schema(description = "安装单位ID")
    private Long installCompanyId;

    @Schema(description = "生产厂商ID")
    private Long manufactureCompanyId;

    @Schema(description = "投入使用日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] useDate;

    @Schema(description = "设备状态")
    private Integer status;

    @Schema(description = "分类父子级联代码")
    private String classifyCode;

    @Schema(description = "设备备件在库状态")
    private Integer storeStatus;

    @Schema(description = "安装位置")
    private String positionName;

    @Schema(description = "安装位置ID")
    private Long positionId;

    @Schema(description = "生命周期结束标识")
    private Integer endFlag;

    @Schema(description = "设备描述")
    private String dcDesc;

    @Schema(description = "设备分类ID")
    private Long classifyId;

    @Schema(description = "设备管理员")
    private String manager;

    @Schema(description = "固定资产编码(唯一性)")
    private String fixedAssetsCode;

    @Schema(description = "设备编码")
    private String deviceCode;

    @Schema(description = "维保手册 Json结构")
    private String manuals;

    @Schema(description = "合格证")
    private String certificates;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "使用标识")
    private Short useFlag;

    /**
     * 部门 ID
     */
    @Schema(description = "部门id")
    private Long deptId;
}
