package cn.iocoder.yudao.module.dms.controller.admin.deviceattribute.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 设备属性分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DmsDeviceAttributePageReqVO extends PageParam {

    @Schema(description = "UUID", example = "7350")
    private String uuid;

    @Schema(description = "设备ID", example = "4772")
    private Long did;

    @Schema(description = "设备属性名称", example = "赵六")
    private String name;

    @Schema(description = "设备属性值")
    private String value;

    @Schema(description = "设备属性描述")
    private String adesc;

    @Schema(description = "显示序列")
    private Integer orderNum;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "使用标识")
    private Short useFlag;

}
