package cn.iocoder.yudao.module.dms.controller.admin.deviceclassify.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 设备分类列表 Request VO")
@Data
public class DmsDeviceClassifyListReqVO {

    @Schema(description = "设备设施分类名称")
    private String name;

    @Schema(description = "描述")
    private String note;

    @Schema(description = "父分类ID")
    private Long parentId;

    @Schema(description = "父分类名称")
    private String parentName;

    @Schema(description = "维保标识")
    private Integer maintainFlag;

    @Schema(description = "动静标识")
    private Integer staticFlag;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "显示序列 从小到大")
    private Integer orderNum;

    @Schema(description = "UUID")
    private String uuid;

    @Schema(description = "使用标识")
    private Short useFlag;

}
