package cn.iocoder.yudao.module.dms.controller.admin.devicerepair.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.sql.Timestamp;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 设备报修分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DmsDeviceRepairPageReqVO extends PageParam {

    @Schema(description = "报修主题")
    private String title;

    @Schema(description = "报修内容")
    private String content;

    @Schema(description = "报修图片")
    private String imgs;

    @Schema(description = "UUID")
    private String uuid;

    @Schema(description = "任务ID")
    private Long checkTaskId;

    @Schema(description = "任务检查项ID")
    private Long checkTaskItemId;

    @Schema(description = "设备ID")
    private Long deviceId;

    @Schema(description = "设备名称")
    private String deviceName;

    @Schema(description = "设备代码")
    private String deviceCode;

    @Schema(description = "报修人ID")
    private Long reportorId;

    @Schema(description = "报修人姓名")
    private String reportorName;

    @Schema(description = "报修内容")
    private String reportContent;

    @Schema(description = "报修图片")
    private String reportImgs;

    @Schema(description = "报修开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Timestamp[] reportStartTime;

    @Schema(description = "报修结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Timestamp[] reportEndTime;

    @Schema(description = "决策者(维修部负责人)ID")
    private Long deciderId;

    @Schema(description = "决策者(维修部负责人)姓名")
    private String deciderName;

    @Schema(description = "决策内容")
    private String decideContent;

    @Schema(description = "决策图片")
    private String decideImgs;

    @Schema(description = "决策开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] decideStartTime;

    @Schema(description = "决策结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] decideEndTime;

    @Schema(description = "维修组ID")
    private Long maintainOrgId;

    @Schema(description = "维修组")
    private String maintainOrgName;

    @Schema(description = "维修组代码")
    private String maintainOrgCode;

    @Schema(description = "维修工ID")
    private Long maintainerId;

    @Schema(description = "维修工姓名")
    private String maintainerName;

    @Schema(description = "维修内容")
    private String maintainContent;

    @Schema(description = "维修图片")
    private String maintainImgs;

    @Schema(description = "维修开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] maintainStartTime;

    @Schema(description = "维修结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] maintainEndTime;

    @Schema(description = "维修流转详情")
    private String maintainFlow;

    @Schema(description = "维修流转次数")
    private String maintainNum;

    @Schema(description = "确认者ID")
    private Long affirmantId;

    @Schema(description = "确认者姓名")
    private String affirmantName;

    @Schema(description = "确认内容")
    private String affirmContent;

    @Schema(description = "确认图片")
    private String affirmImgs;

    @Schema(description = "确认开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] affirmStartTime;

    @Schema(description = "确认结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] affirmEndTime;

    @Schema(description = "报修开始日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] startTime;

    @Schema(description = "报修结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] endTime;

    @Schema(description = "备注")
    private String note;

    @Schema(description = "报修生命周期状态")
    private Integer status;

    @Schema(description = "流转者ID")
    private Long transferId;

    @Schema(description = "流转者姓名")
    private String transferName;

    @Schema(description = "流转内容")
    private String transferContent;

    @Schema(description = "流转图片")
    private String transferImgs;

    @Schema(description = "流转开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] transferStartTime;

    @Schema(description = "流转结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] transferEndTime;

    @Schema(description = "报修人联系方式")
    private String reportorTel;

    @Schema(description = "紧急程度")
    private String repairPress;

    @Schema(description = "故障类型")
    private String repairReason;

    @Schema(description = "维修单号")
    private String repairCode;

    @Schema(description = "维修记录")
    private String repairRecords;

    @Schema(description = "主修人变更记录")
    private String mainRepairHistory;

    @Schema(description = "流转信息")
    private String flowRecords;

    @Schema(description = "维修内容补充")
    private Double repairFee;

    @Schema(description = "维修级别")
    private Short repairLevel;

    @Schema(description = "维修类型")
    private Short repairType;

    @Schema(description = "设备位置")
    private String repairPosition;

    @Schema(description = "故障原因")
    private Short repairCausation;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "結束标识")
    private Integer endFlag;

    @Schema(description = "是否停机")
    private Short stopFlag;

    @Schema(description = "维修时是否停机")
    private Short maintainStopFlag;

    @Schema(description = "是否替换备件")
    private Short partsFlag;

    @Schema(description = "使用标识")
    private Short useFlag;

    @Schema(description = "部门id", example = "28516")
    private Long deptId;

}
