package cn.iocoder.yudao.module.dms.convert.checktemplateitem;

import cn.iocoder.yudao.framework.common.util.collection.CollectionUtils;
import cn.iocoder.yudao.module.dms.controller.admin.checktemplateitem.vo.DmsCheckTemplateItemRespVO;
import cn.iocoder.yudao.module.dms.controller.admin.checktemplateitem.vo.DmsCheckTemplateItemSaveReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktemplateitem.DmsCheckTemplateItemDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 点巡检模板检查项 Convert
 *
 * @author dzx
 */
@Mapper
public interface DmsCheckTemplateItemConvert {

    DmsCheckTemplateItemConvert INSTANCE = Mappers.getMapper(DmsCheckTemplateItemConvert.class);

    /**
     * saveVoToListDoList
     *
     * @param items           保存修改用vo集合
     * @param checkTemplateId 检查模板id
     * @return List<DmsCheckTemplateItemDO>
     */
    default List<DmsCheckTemplateItemDO> convertList(List<DmsCheckTemplateItemSaveReqVO> items, Long checkTemplateId) {
        return CollectionUtils.convertList(items, item -> {
            item.setCheckTemplateId(checkTemplateId);
            return this.convert(item);
        });
    }

    /**
     * saveVoToDo
     *
     * @param checkTemplateItemSaveReqVO 保存修改用vo
     * @return DmsCheckTemplateItemDO
     */
    DmsCheckTemplateItemDO convert(DmsCheckTemplateItemSaveReqVO checkTemplateItemSaveReqVO);

    /**
     * DoToRespVo
     *
     * @param checkTemplateItemDO 实体
     * @return DmsCheckTemplateItemRespVO
     */
    DmsCheckTemplateItemRespVO DoToRespVo(DmsCheckTemplateItemDO checkTemplateItemDO);
}
