package cn.iocoder.yudao.module.dms.dal.dataobject.checkplan;

import cn.hutool.core.lang.UUID;
import cn.iocoder.yudao.framework.tenant.core.db.TenantBaseDO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktask.DmsCheckTaskDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 点巡检计划 DO
 *
 * @author dzx
 */
@TableName("dms_check_plan")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DmsCheckPlanDO extends TenantBaseDO {

    /**
     * ID 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 巡检计划名称
     */
    private String name;
    /**
     * 巡检计划模板ID
     */
    private Long checkTemplateId;
    /**
     * 巡检计划模板名称
     */
    private String checkTemplateName;
    /**
     * 设备ID
     */
    private Long deviceId;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 设备代码
     */
    private String deviceCode;
    /**
     * 点检项JSON配置
     */
    private String checkItems;
    /**
     * 模板分类ID
     */
    private Long templateClassifyId;
    /**
     * 模板分类名称
     */
    private String templateClassifyName;
    /**
     * 模板分类代码
     */
    private String templateClassifyCode;
    /**
     * 设备分类ID
     */
    private Long deviceClassifyId;
    /**
     * 设备分类名称
     */
    private String deviceClassifyName;
    /**
     * 设备分类代码
     */
    private String deviceClassifyCode;
    /**
     * 计划开始日期
     */
    private LocalDateTime startTime;
    /**
     * 计划结束日期
     */
    private LocalDateTime endTime;
    /**
     * 创建者ID
     */
    private Long creatorId;
    /**
     * 创建者
     */
    private String creatorName;
    /**
     * 执行者ID
     */
    private Long executorId;
    /**
     * 执行者
     */
    private String executorName;
    /**
     * 模板检查周期类型
     */
    private Integer checkPeriodType;
    /**
     * 模板检查周期执行时间值
     */
    private Integer checkPeriodTime;
    /**
     * 间隔次数
     */
    private Integer checkPeriodInterval;
    /**
     * 备注
     */
    private String note;
    /**
     * 生成最近任务数量
     */
    private Integer taskNum;
    /**
     * UUID
     */
    private String uuid;
    /**
     * 使用标识
     * <p>
     * 枚举 {@link TODO use_flag 对应的类}
     */
    private Short useFlag;

    /**
     * 部门 ID
     */
    private Long deptId;

    /**
     * 部门
     */
    private Long deptName;

    public DmsCheckTaskDO buildTask(){
        return  DmsCheckTaskDO.builder().uuid(UUID.randomUUID().toString()).deviceId(this.deviceId).deviceName(this.deviceName)
                .deviceCode(this.deviceCode).checkTemplateId(this.checkTemplateId).checkTemplateName(this.checkTemplateName)
                .templateClassifyId(this.templateClassifyId).templateClassifyName(this.templateClassifyName)
                .templateClassifyCode(this.templateClassifyCode).deviceClassifyId(this.deviceClassifyId).checkPeriodType(this.checkPeriodType)
                .deviceClassifyName(this.deviceClassifyName).deviceClassifyCode(this.deviceClassifyCode).endFlag(0)
                .executorId(this.executorId).executorName(this.executorName).creatorId(this.creatorId).creatorName(this.creatorName)
                .deptId(this.deptId).deptName(this.deptName).deviceCode(this.deviceCode).createTime(LocalDateTime.now())
                .checkPlanId(this.id).checkPlanName(this.name).build();
    }
    public Integer oneTotal(){
        return this.checkPeriodType*(this.checkPeriodTime+this.checkPeriodInterval);
    }
    public Integer executeTotal(){
        return this.checkPeriodType*this.checkPeriodTime;
    }

}
