package cn.iocoder.yudao.module.dms.dal.dataobject.checktemplate;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 点巡检模板 DO
 *
 * @author dzx
 */
@TableName("dms_check_template")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DmsCheckTemplateDO extends BaseDO {

    /**
     * ID 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 模板名称
     */
    private String name;
    /**
     * 点检项JSON配置
     */
    private String checkItems;
    /**
     * 模板分类ID
     */
    private Long classifyId;
    /**
     * 模板分类名称
     */
    private String classifyName;
    /**
     * 设备分类ID
     */
    private Long deviceClassifyId;
    /**
     * 设备分类名称
     */
    private String deviceClassifyName;
    /**
     * 模板类型
     */
    private Integer checkTemplateType;
    /**
     * 备注
     */
    private String note;
    /**
     * UUID
     */
    private String uuid;
    /**
     * 使用标识
     * <p>
     * 枚举 {@link TODO use_flag 对应的类}
     */
    private Short useFlag;
    /**
     * 部门 ID
     */
    private Long deptId;
}
