package cn.iocoder.yudao.module.dms.dal.dataobject.checktemplateitem;

import cn.hutool.core.lang.UUID;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktaskitem.DmsCheckTaskItemDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 点巡检模板检查项 DO
 *
 * @author dzx
 */
@TableName("dms_check_template_item")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DmsCheckTemplateItemDO extends BaseDO {

    /**
     * ID 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 点巡检模板ID
     */
    private Long checkTemplateId;

    /**
     * UUID
     */
    private String uuid;
    /**
     * 模板检查项名称
     */
    private String name;
    /**
     * 备注
     */
    private String note;
    /**
     * 显示序列
     */
    private Integer orderNum;
    /**
     * 使用标识
     * <p>
     * 枚举 {@link TODO use_flag 对应的类}
     */
    private Short useFlag;

    public DmsCheckTaskItemDO buildCheckTaskItem(){
        DmsCheckTaskItemDO checkTaskItemDO  = DmsCheckTaskItemDO.builder().checkTemplateId(this.checkTemplateId).uuid(UUID.randomUUID().toString()).name(this.name)
                .note(this.note).checkTemplateItemId(this.id).checkTemplateItemName(this.name).orderNum(this.orderNum).build();
        checkTaskItemDO.setCreateTime(LocalDateTime.now());
        return checkTaskItemDO;
    }
}