package cn.iocoder.yudao.module.dms.dal.dataobject.device;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDate;

/**
 * 设备管理 DO
 *
 * @author 芋道源码
 */
@TableName("dms_device")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DmsDeviceDO extends BaseDO {

    /**
     * ID 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * UUID
     */
    private String uuid;
    /**
     * 设备设施名称
     */
    private String name;
    /**
     * 设备描述
     */
    private String ddesc;
    /**
     * 设备分类ID
     */
    private Long cid;
    /**
     * 设备分类名称
     */
    private String cname;
    /**
     * 父子级联代码
     */
    private String pcode;
    /**
     * 设备二维码
     */
    private String qrCode;
    /**
     * 作业场所ID
     */
    private Long workPlaceId;
    /**
     * 作业场所
     */
    private String workPlaceName;
    /**
     * 所在ID
     */
    private Long partId;
    /**
     * 所在部位
     */
    private String partName;
    /**
     * 投入使用时间
     */
    private LocalDate startDate;
    /**
     * 结束时间
     */
    private LocalDate endDate;
    /**
     * 设备图片 分号间隔
     */
    private String imgs;
    /**
     * 设备型号
     */
    private String deviceModel;
    /**
     * 特种设备标识
     * <p>
     * 枚举 {@link TODO special_flag 对应的类}
     */
    private Integer specialFlag;
    /**
     * 厂内编号
     */
    private String factoryNo;
    /**
     * 制造单位
     */
    private String manufactureCompany;
    /**
     * 安装单位
     */
    private String installCompany;
    /**
     * 设备管理员
     */
    private String managerName;
    /**
     * 运行状态
     * <p>
     * 枚举 {@link TODO run_status 对应的类}
     */
    private Integer runStatus;
    /**
     * 是否完成注册标识
     * <p>
     * 枚举 {@link TODO register_flag 对应的类}
     */
    private Integer registerFlag;
    /**
     * 注册登记证编号
     */
    private String registerNo;
    /**
     * 三同时资料
     */
    private String datums;
    /**
     * 附件
     */
    private String files;
    /**
     * 风险分析对象编码
     */
    private String riskNo;
    /**
     * 检验日期
     */
    private LocalDate checkoutDate;
    /**
     * 检验单位Id
     */
    private Long checkoutCompanyId;
    /**
     * 检验单位
     */
    private String checkoutCompany;
    /**
     * 检验合格证号
     */
    private String checkoutNo;
    /**
     * 检验附件
     */
    private String checkoutFiles;
    /**
     * 备注
     */
    private String note;
    /**
     * 地图坐标经度
     */
    private Double lng;
    /**
     * 地图坐标纬度
     */
    private Double lat;
    /**
     * 设备规格
     */
    private String deviceSpecification;
    /**
     * 设备管理员ID
     */
    private Long managerId;
    /**
     * 安装单位ID
     */
    private Long installCompanyId;
    /**
     * 生产厂商ID
     */
    private Long manufactureCompanyId;
    /**
     * 投入使用日期
     */
    private LocalDate useDate;
    /**
     * 设备状态
     */
    private Integer status;
    /**
     * 分类父子级联代码
     */
    private String classifyCode;
    /**
     * 设备备件在库状态
     * <p>
     * 枚举 {@link TODO dms_store_status 对应的类}
     */
    private Integer storeStatus;
    /**
     * 安装位置
     */
    private String positionName;
    /**
     * 安装位置ID
     */
    private Long positionId;
    /**
     * 生命周期结束标识
     * <p>
     * 枚举 {@link TODO dms_end_flag 对应的类}
     */
    private Integer endFlag;
    /**
     * 设备描述
     */
    private String dcDesc;
    /**
     * 设备分类ID
     */
    private Long classifyId;
    /**
     * 设备管理员
     */
    private String manager;
    /**
     * 固定资产编码(唯一性)
     */
    private String fixedAssetsCode;
    /**
     * 设备编码
     */
    private String deviceCode;
    /**
     * 维保手册 Json结构
     */
    private String manuals;
    /**
     * 合格证
     */
    private String certificates;
    /**
     * 使用标识
     * <p>
     * 枚举 {@link TODO use_flag 对应的类}
     */
    private Short useFlag;
    /**
     * 部门 ID
     */
    private Long deptId;
    /**
     * 部门
     */
    private String deptName;

    /**
     * 设备ID
     */
    private Long deviceId;
}
