package cn.iocoder.yudao.module.dms.dal.dataobject.deviceclassify;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 设备分类 DO
 *
 * @author dzx
 */
@TableName("dms_device_classify")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DmsDeviceClassifyDO extends BaseDO {

    public static final Long PARENT_ID_ROOT = 0L;

    /**
     * ID 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 设备设施分类名称
     */
    private String name;
    /**
     * 描述
     */
    private String note;
    /**
     * 父分类ID
     */
    private Long parentId;
    /**
     * 父分类名称
     */
    private String parentName;
    /**
     * 维保标识
     * <p>
     * 枚举 {@link TODO maintain_flag 对应的类}
     */
    private Integer maintainFlag;
    /**
     * 动静标识
     * <p>
     * 枚举 {@link TODO static_flag 对应的类}
     */
    private Integer staticFlag;
    /**
     * 显示序列 从小到大
     */
    private Integer orderNum;
    /**
     * UUID
     */
    private String uuid;
    /**
     * 使用标识
     * <p>
     * 枚举 {@link TODO use_flag 对应的类}
     */
    private Short useFlag;
    /**
     * 部门 ID
     */
    private Long deptId;
}
