package cn.iocoder.yudao.module.dms.dal.dataobject.relationorg;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 往来单位联系人 DO
 *
 * @author dzx
 */
@TableName("dms_relation_contract")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DmsRelationContractDO extends BaseDO {

    /**
     * ID 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * UUID
     */
    private String uuid;
    /**
     * 联系人名称
     */
    private String name;
    /**
     * 联系人职位
     */
    private String post;
    /**
     * 联系人地址
     */
    private String address;
    /**
     * 邮政编码
     */
    private String postCode;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 传真号码
     */
    private String fax;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * 微信号
     */
    private String wx;
    /**
     * 微信号
     */
    private String qq;
    /**
     * 备注
     */
    private String note;
    /**
     * 使用标识
     * <p>
     * 枚举 {@link TODO use_flag 对应的类}
     */
    private Short useFlag;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 来往单位ID
     */
    private Long orgId;
    /**
     * 来往单位
     */
    private String orgName;

}
