package cn.iocoder.yudao.module.dms.dal.pgsql.checktask;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.controller.admin.checktask.vo.DmsCheckTaskPageReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktask.DmsCheckTaskDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 点巡检任务 Mapper
 *
 * @author dzx
 */
@Mapper
public interface DmsCheckTaskMapper extends BaseMapperX<DmsCheckTaskDO> {

    default PageResult<DmsCheckTaskDO> selectPage(DmsCheckTaskPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DmsCheckTaskDO>()
                .eqIfPresent(DmsCheckTaskDO::getDeviceId, reqVO.getDeviceId())
                .likeIfPresent(DmsCheckTaskDO::getDeviceName, reqVO.getDeviceName())
                .eqIfPresent(DmsCheckTaskDO::getDeviceCode, reqVO.getDeviceCode())
                .eqIfPresent(DmsCheckTaskDO::getCheckTemplateId, reqVO.getCheckTemplateId())
                .likeIfPresent(DmsCheckTaskDO::getCheckTemplateName, reqVO.getCheckTemplateName())
                .eqIfPresent(DmsCheckTaskDO::getCheckItems, reqVO.getCheckItems())
                .eqIfPresent(DmsCheckTaskDO::getTemplateClassifyId, reqVO.getTemplateClassifyId())
                .likeIfPresent(DmsCheckTaskDO::getTemplateClassifyName, reqVO.getTemplateClassifyName())
                .eqIfPresent(DmsCheckTaskDO::getTemplateClassifyCode, reqVO.getTemplateClassifyCode())
                .eqIfPresent(DmsCheckTaskDO::getDeviceClassifyId, reqVO.getDeviceClassifyId())
                .likeIfPresent(DmsCheckTaskDO::getDeviceClassifyName, reqVO.getDeviceClassifyName())
                .eqIfPresent(DmsCheckTaskDO::getDeviceClassifyCode, reqVO.getDeviceClassifyCode())
                .betweenIfPresent(DmsCheckTaskDO::getStartTime, reqVO.getStartTime())
                .betweenIfPresent(DmsCheckTaskDO::getEndTime, reqVO.getEndTime())
                .betweenIfPresent(DmsCheckTaskDO::getExecutorTime, reqVO.getExecutorTime())
                .eqIfPresent(DmsCheckTaskDO::getCreatorId, reqVO.getCreatorId())
                .likeIfPresent(DmsCheckTaskDO::getCreatorName, reqVO.getCreatorName())
                .eqIfPresent(DmsCheckTaskDO::getExecutorId, reqVO.getExecutorId())
                .likeIfPresent(DmsCheckTaskDO::getExecutorName, reqVO.getExecutorName())
                .eqIfPresent(DmsCheckTaskDO::getCheckPeriodType, reqVO.getCheckPeriodType())
                .eqIfPresent(DmsCheckTaskDO::getStatus, reqVO.getStatus())
                .eqIfPresent(DmsCheckTaskDO::getEndFlag, reqVO.getEndFlag())
                .eqIfPresent(DmsCheckTaskDO::getNote, reqVO.getNote())
                .betweenIfPresent(DmsCheckTaskDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DmsCheckTaskDO::getUuid, reqVO.getUuid())
                .eqIfPresent(DmsCheckTaskDO::getCheckPlanId, reqVO.getCheckPlanId())
                .likeIfPresent(DmsCheckTaskDO::getCheckPlanName, reqVO.getCheckPlanName())
                .eqIfPresent(DmsCheckTaskDO::getUseFlag, reqVO.getUseFlag())
                .orderByDesc(DmsCheckTaskDO::getStartTime));
    }

}
