package cn.iocoder.yudao.module.dms.dal.pgsql.checktemplate;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.controller.admin.checktemplate.vo.DmsCheckTemplatePageReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktemplate.DmsCheckTemplateDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 点巡检模板 Mapper
 *
 * @author dzx
 */
@Mapper
public interface DmsCheckTemplateMapper extends BaseMapperX<DmsCheckTemplateDO> {

    default PageResult<DmsCheckTemplateDO> selectPage(DmsCheckTemplatePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DmsCheckTemplateDO>()
                .likeIfPresent(DmsCheckTemplateDO::getName, reqVO.getName())
                .eqIfPresent(DmsCheckTemplateDO::getCheckItems, reqVO.getCheckItems())
                .eqIfPresent(DmsCheckTemplateDO::getClassifyId, reqVO.getClassifyId())
                .likeIfPresent(DmsCheckTemplateDO::getClassifyName, reqVO.getClassifyName())
                .eqIfPresent(DmsCheckTemplateDO::getDeviceClassifyId, reqVO.getDeviceClassifyId())
                .likeIfPresent(DmsCheckTemplateDO::getDeviceClassifyName, reqVO.getDeviceClassifyName())
                .eqIfPresent(DmsCheckTemplateDO::getCheckTemplateType, reqVO.getCheckTemplateType())
                .eqIfPresent(DmsCheckTemplateDO::getNote, reqVO.getNote())
                .betweenIfPresent(DmsCheckTemplateDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DmsCheckTemplateDO::getUuid, reqVO.getUuid())
                .eqIfPresent(DmsCheckTemplateDO::getUseFlag, reqVO.getUseFlag())
                .orderByDesc(DmsCheckTemplateDO::getId));
    }

    default List<DmsCheckTemplateDO> selectList(DmsCheckTemplatePageReqVO reqVO) {
        return selectList( new LambdaQueryWrapperX<DmsCheckTemplateDO>()
                .likeIfPresent(DmsCheckTemplateDO::getName, reqVO.getName())
                .eqIfPresent(DmsCheckTemplateDO::getCheckItems, reqVO.getCheckItems())
                .eqIfPresent(DmsCheckTemplateDO::getClassifyId, reqVO.getClassifyId())
                .likeIfPresent(DmsCheckTemplateDO::getClassifyName, reqVO.getClassifyName())
                .eqIfPresent(DmsCheckTemplateDO::getDeviceClassifyId, reqVO.getDeviceClassifyId())
                .likeIfPresent(DmsCheckTemplateDO::getDeviceClassifyName, reqVO.getDeviceClassifyName())
                .eqIfPresent(DmsCheckTemplateDO::getCheckTemplateType, reqVO.getCheckTemplateType())
                .eqIfPresent(DmsCheckTemplateDO::getNote, reqVO.getNote())
                .betweenIfPresent(DmsCheckTemplateDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DmsCheckTemplateDO::getUuid, reqVO.getUuid())
                .eqIfPresent(DmsCheckTemplateDO::getUseFlag, reqVO.getUseFlag())
                .orderByDesc(DmsCheckTemplateDO::getId));
    }

}