package cn.iocoder.yudao.module.dms.dal.pgsql.checktemplateclassify;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.controller.admin.checktemplateclassify.vo.DmsCheckTemplateClassifyListReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktemplateclassify.DmsCheckTemplateClassifyDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 点巡检模板分类 Mapper
 *
 * @author dzx
 */
@Mapper
public interface DmsCheckTemplateClassifyMapper extends BaseMapperX<DmsCheckTemplateClassifyDO> {

    default List<DmsCheckTemplateClassifyDO> selectList(DmsCheckTemplateClassifyListReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<DmsCheckTemplateClassifyDO>()
                .likeIfPresent(DmsCheckTemplateClassifyDO::getName, reqVO.getName())
                .eqIfPresent(DmsCheckTemplateClassifyDO::getNote, reqVO.getNote())
                .eqIfPresent(DmsCheckTemplateClassifyDO::getParentId, reqVO.getParentId())
                .likeIfPresent(DmsCheckTemplateClassifyDO::getParentName, reqVO.getParentName())
                .eqIfPresent(DmsCheckTemplateClassifyDO::getPcode, reqVO.getPcode())
                .eqIfPresent(DmsCheckTemplateClassifyDO::getLevel, reqVO.getLevel())
                .betweenIfPresent(DmsCheckTemplateClassifyDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DmsCheckTemplateClassifyDO::getOrderNum, reqVO.getOrderNum())
                .eqIfPresent(DmsCheckTemplateClassifyDO::getUuid, reqVO.getUuid())
                .eqIfPresent(DmsCheckTemplateClassifyDO::getUseFlag, reqVO.getUseFlag())
                .orderByDesc(DmsCheckTemplateClassifyDO::getId));
    }

    default DmsCheckTemplateClassifyDO selectByParentIdAndName(Long parentId, String name) {
        return selectOne(DmsCheckTemplateClassifyDO::getParentId, parentId, DmsCheckTemplateClassifyDO::getName, name);
    }

    default Long selectCountByParentId(Long parentId) {
        return selectCount(DmsCheckTemplateClassifyDO::getParentId, parentId);
    }

    /**
     * 获得点巡检模板分类精简列表
     *
     * @return 点巡检模板分类列表
     */
    default List<DmsCheckTemplateClassifyDO> selectSimpleList() {
        return selectList(new LambdaQueryWrapperX<DmsCheckTemplateClassifyDO>()
                .eqIfPresent(DmsCheckTemplateClassifyDO::getUseFlag, 1) // TODO 暂时写死，等待确认枚举
                .orderByDesc(DmsCheckTemplateClassifyDO::getId)
                .select(DmsCheckTemplateClassifyDO::getId,
                        DmsCheckTemplateClassifyDO::getName,
                        DmsCheckTemplateClassifyDO::getParentId
                )
        );
    }
}
