package cn.iocoder.yudao.module.dms.dal.pgsql.checktemplateitem;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.controller.admin.checktemplateitem.vo.DmsCheckTemplateItemPageReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktemplateitem.DmsCheckTemplateItemDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 点巡检模板检查项 Mapper
 *
 * @author dzx
 */
@Mapper
public interface DmsCheckTemplateItemMapper extends BaseMapperX<DmsCheckTemplateItemDO> {

    default PageResult<DmsCheckTemplateItemDO> selectPage(DmsCheckTemplateItemPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DmsCheckTemplateItemDO>()
                .eqIfPresent(DmsCheckTemplateItemDO::getCheckTemplateId, reqVO.getCheckTemplateId())
                .eqIfPresent(DmsCheckTemplateItemDO::getUuid, reqVO.getUuid())
                .likeIfPresent(DmsCheckTemplateItemDO::getName, reqVO.getName())
                .eqIfPresent(DmsCheckTemplateItemDO::getNote, reqVO.getNote())
                .eqIfPresent(DmsCheckTemplateItemDO::getOrderNum, reqVO.getOrderNum())
                .betweenIfPresent(DmsCheckTemplateItemDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DmsCheckTemplateItemDO::getUseFlag, reqVO.getUseFlag())
                .orderByDesc(DmsCheckTemplateItemDO::getId));
    }

    default void deleteByCheckTemplateId(Long checkTemplateId) {
        delete(DmsCheckTemplateItemDO::getCheckTemplateId, checkTemplateId);
    }
}