package cn.iocoder.yudao.module.dms.dal.pgsql.device;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.controller.admin.device.vo.DmsDevicePageReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.device.DmsDeviceDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 设备管理 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface DmsDeviceMapper extends BaseMapperX<DmsDeviceDO> {

    default PageResult<DmsDeviceDO> selectPage(DmsDevicePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DmsDeviceDO>()
                .eqIfPresent(DmsDeviceDO::getUuid, reqVO.getUuid())
                .likeIfPresent(DmsDeviceDO::getName, reqVO.getName())
                .eqIfPresent(DmsDeviceDO::getDdesc, reqVO.getDdesc())
                .eqIfPresent(DmsDeviceDO::getCid, reqVO.getCid())
                .likeIfPresent(DmsDeviceDO::getCname, reqVO.getCname())
                .eqIfPresent(DmsDeviceDO::getPcode, reqVO.getPcode())
                .eqIfPresent(DmsDeviceDO::getQrCode, reqVO.getQrCode())
                .eqIfPresent(DmsDeviceDO::getWorkPlaceId, reqVO.getWorkPlaceId())
                .likeIfPresent(DmsDeviceDO::getWorkPlaceName, reqVO.getWorkPlaceName())
                .eqIfPresent(DmsDeviceDO::getPartId, reqVO.getPartId())
                .likeIfPresent(DmsDeviceDO::getPartName, reqVO.getPartName())
                .betweenIfPresent(DmsDeviceDO::getStartDate, reqVO.getStartDate())
                .betweenIfPresent(DmsDeviceDO::getEndDate, reqVO.getEndDate())
                .eqIfPresent(DmsDeviceDO::getImgs, reqVO.getImgs())
                .eqIfPresent(DmsDeviceDO::getDeviceModel, reqVO.getDeviceModel())
                .eqIfPresent(DmsDeviceDO::getSpecialFlag, reqVO.getSpecialFlag())
                .eqIfPresent(DmsDeviceDO::getFactoryNo, reqVO.getFactoryNo())
                .eqIfPresent(DmsDeviceDO::getManufactureCompany, reqVO.getManufactureCompany())
                .eqIfPresent(DmsDeviceDO::getInstallCompany, reqVO.getInstallCompany())
                .likeIfPresent(DmsDeviceDO::getManagerName, reqVO.getManagerName())
                .eqIfPresent(DmsDeviceDO::getRunStatus, reqVO.getRunStatus())
                .eqIfPresent(DmsDeviceDO::getRegisterFlag, reqVO.getRegisterFlag())
                .eqIfPresent(DmsDeviceDO::getRegisterNo, reqVO.getRegisterNo())
                .eqIfPresent(DmsDeviceDO::getDatums, reqVO.getDatums())
                .eqIfPresent(DmsDeviceDO::getFiles, reqVO.getFiles())
                .eqIfPresent(DmsDeviceDO::getRiskNo, reqVO.getRiskNo())
                .betweenIfPresent(DmsDeviceDO::getCheckoutDate, reqVO.getCheckoutDate())
                .eqIfPresent(DmsDeviceDO::getCheckoutCompany, reqVO.getCheckoutCompany())
                .eqIfPresent(DmsDeviceDO::getCheckoutNo, reqVO.getCheckoutNo())
                .eqIfPresent(DmsDeviceDO::getCheckoutFiles, reqVO.getCheckoutFiles())
                .eqIfPresent(DmsDeviceDO::getNote, reqVO.getNote())
                .eqIfPresent(DmsDeviceDO::getLng, reqVO.getLng())
                .eqIfPresent(DmsDeviceDO::getLat, reqVO.getLat())
                .eqIfPresent(DmsDeviceDO::getDeviceSpecification, reqVO.getDeviceSpecification())
                .eqIfPresent(DmsDeviceDO::getManagerId, reqVO.getManagerId())
                .eqIfPresent(DmsDeviceDO::getInstallCompanyId, reqVO.getInstallCompanyId())
                .eqIfPresent(DmsDeviceDO::getManufactureCompanyId, reqVO.getManufactureCompanyId())
                .betweenIfPresent(DmsDeviceDO::getUseDate, reqVO.getUseDate())
                .eqIfPresent(DmsDeviceDO::getStatus, reqVO.getStatus())
                .eqIfPresent(DmsDeviceDO::getClassifyCode, reqVO.getClassifyCode())
                .eqIfPresent(DmsDeviceDO::getStoreStatus, reqVO.getStoreStatus())
                .likeIfPresent(DmsDeviceDO::getPositionName, reqVO.getPositionName())
                .eqIfPresent(DmsDeviceDO::getPositionId, reqVO.getPositionId())
                .eqIfPresent(DmsDeviceDO::getEndFlag, reqVO.getEndFlag())
                .eqIfPresent(DmsDeviceDO::getDcDesc, reqVO.getDcDesc())
                .eqIfPresent(DmsDeviceDO::getClassifyId, reqVO.getClassifyId())
                .eqIfPresent(DmsDeviceDO::getManager, reqVO.getManager())
                .eqIfPresent(DmsDeviceDO::getFixedAssetsCode, reqVO.getFixedAssetsCode())
                .eqIfPresent(DmsDeviceDO::getDeviceCode, reqVO.getDeviceCode())
                .eqIfPresent(DmsDeviceDO::getManuals, reqVO.getManuals())
                .eqIfPresent(DmsDeviceDO::getCertificates, reqVO.getCertificates())
                .betweenIfPresent(DmsDeviceDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DmsDeviceDO::getUseFlag, reqVO.getUseFlag())
                .orderByDesc(DmsDeviceDO::getId));
    }

}