package cn.iocoder.yudao.module.dms.dal.pgsql.deviceattribute;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.controller.admin.deviceattribute.vo.DmsDeviceAttributePageReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.deviceattribute.DmsDeviceAttributeDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 设备属性 Mapper
 *
 * @author dzx
 */
@Mapper
public interface DmsDeviceAttributeMapper extends BaseMapperX<DmsDeviceAttributeDO> {

    default PageResult<DmsDeviceAttributeDO> selectPage(DmsDeviceAttributePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DmsDeviceAttributeDO>()
                .eqIfPresent(DmsDeviceAttributeDO::getUuid, reqVO.getUuid())
                .eqIfPresent(DmsDeviceAttributeDO::getDid, reqVO.getDid())
                .likeIfPresent(DmsDeviceAttributeDO::getName, reqVO.getName())
                .eqIfPresent(DmsDeviceAttributeDO::getValue, reqVO.getValue())
                .eqIfPresent(DmsDeviceAttributeDO::getAdesc, reqVO.getAdesc())
                .eqIfPresent(DmsDeviceAttributeDO::getOrderNum, reqVO.getOrderNum())
                .betweenIfPresent(DmsDeviceAttributeDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DmsDeviceAttributeDO::getUseFlag, reqVO.getUseFlag())
                .orderByDesc(DmsDeviceAttributeDO::getId));
    }

}
