package cn.iocoder.yudao.module.dms.dal.pgsql.relationorg;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.controller.admin.relationorg.vo.DmsRelationOrgPageReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.relationorg.DmsRelationOrgDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 往来单位 Mapper
 *
 * @author dzx
 */
@Mapper
public interface DmsRelationOrgMapper extends BaseMapperX<DmsRelationOrgDO> {

    default PageResult<DmsRelationOrgDO> selectPage(DmsRelationOrgPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DmsRelationOrgDO>()
                .eqIfPresent(DmsRelationOrgDO::getUuid, reqVO.getUuid())
                .likeIfPresent(DmsRelationOrgDO::getName, reqVO.getName())
                .likeIfPresent(DmsRelationOrgDO::getSortName, reqVO.getSortName())
                .eqIfPresent(DmsRelationOrgDO::getRtype, reqVO.getRtype())
                .eqIfPresent(DmsRelationOrgDO::getAddress, reqVO.getAddress())
                .eqIfPresent(DmsRelationOrgDO::getPostCode, reqVO.getPostCode())
                .eqIfPresent(DmsRelationOrgDO::getPhone, reqVO.getPhone())
                .eqIfPresent(DmsRelationOrgDO::getEmail, reqVO.getEmail())
                .eqIfPresent(DmsRelationOrgDO::getSite, reqVO.getSite())
                .eqIfPresent(DmsRelationOrgDO::getUniCode, reqVO.getUniCode())
                .likeIfPresent(DmsRelationOrgDO::getBankName, reqVO.getBankName())
                .eqIfPresent(DmsRelationOrgDO::getBankAccount, reqVO.getBankAccount())
                .eqIfPresent(DmsRelationOrgDO::getInvoiceInfo, reqVO.getInvoiceInfo())
                .likeIfPresent(DmsRelationOrgDO::getInvoiceName, reqVO.getInvoiceName())
                .eqIfPresent(DmsRelationOrgDO::getCredit, reqVO.getCredit())
                .eqIfPresent(DmsRelationOrgDO::getCreditLevel, reqVO.getCreditLevel())
                .eqIfPresent(DmsRelationOrgDO::getNote, reqVO.getNote())
                .betweenIfPresent(DmsRelationOrgDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DmsRelationOrgDO::getUseFlag, reqVO.getUseFlag())
                .eqIfPresent(DmsRelationOrgDO::getDeptId, reqVO.getDeptId())
                .orderByDesc(DmsRelationOrgDO::getId));
    }

    default List<DmsRelationOrgDO> selectSimpleRelationOrgList() {
        return selectList(new LambdaQueryWrapperX<DmsRelationOrgDO>()
                .select(DmsRelationOrgDO::getId, DmsRelationOrgDO::getName)
                .eq(DmsRelationOrgDO::getUseFlag, 1)); // TODO
    }
}
