package cn.iocoder.yudao.module.dms.framework.datapermission.config;

import cn.iocoder.yudao.framework.datapermission.core.rule.dept.DeptDataPermissionRuleCustomizer;
import cn.iocoder.yudao.module.dms.dal.dataobject.checkplan.DmsCheckPlanDO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktask.DmsCheckTaskDO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktemplate.DmsCheckTemplateDO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktemplateclassify.DmsCheckTemplateClassifyDO;
import cn.iocoder.yudao.module.dms.dal.dataobject.device.DmsDeviceDO;
import cn.iocoder.yudao.module.dms.dal.dataobject.deviceattribute.DmsDeviceAttributeDO;
import cn.iocoder.yudao.module.dms.dal.dataobject.deviceclassify.DmsDeviceClassifyDO;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * sm 模块的数据权限 Configuration
 *
 * @author 芋道源码
 */
@Configuration(proxyBeanMethods = false)
public class DataPermissionConfiguration {

    @Bean
    public DeptDataPermissionRuleCustomizer smDeptDataPermissionRuleCustomizer() {

        return rule -> {
            // dept
            rule.addDeptColumn(DmsCheckPlanDO.class, "dept_id");
            rule.addDeptColumn(DmsCheckTaskDO.class, "dept_id");
            rule.addDeptColumn(DmsCheckTemplateDO.class, "dept_id");
            rule.addDeptColumn(DmsCheckTemplateClassifyDO.class, "dept_id");
            rule.addDeptColumn(DmsDeviceDO.class, "dept_id");
            rule.addDeptColumn(DmsDeviceAttributeDO.class, "dept_id");
            rule.addDeptColumn(DmsDeviceClassifyDO.class, "dept_id");
        };
    }

}
