package cn.iocoder.yudao.module.dms.service.checkplan;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.dms.controller.admin.checkplan.vo.DmsCheckPlanPageReqVO;
import cn.iocoder.yudao.module.dms.controller.admin.checkplan.vo.DmsCheckPlanSaveReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checkplan.DmsCheckPlanDO;

import javax.validation.Valid;

/**
 * 点巡检计划 Service 接口
 *
 * @author dzx
 */
public interface DmsCheckPlanService {

    /**
     * 创建点巡检计划
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCheckPlan(@Valid DmsCheckPlanSaveReqVO createReqVO);

    /**
     * 更新点巡检计划
     *
     * @param updateReqVO 更新信息
     */
    void updateCheckPlan(@Valid DmsCheckPlanSaveReqVO updateReqVO);

    /**
     * 删除点巡检计划
     *
     * @param id 编号
     */
    void deleteCheckPlan(Long id);

    /**
     * 获得点巡检计划
     *
     * @param id 编号
     * @return 点巡检计划
     */
    DmsCheckPlanDO getCheckPlan(Long id);

    /**
     * 获得点巡检计划分页
     *
     * @param pageReqVO 分页查询
     * @return 点巡检计划分页
     */
    PageResult<DmsCheckPlanDO> getCheckPlanPage(DmsCheckPlanPageReqVO pageReqVO);

}
