package cn.iocoder.yudao.module.dms.service.checktaskitem;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.dms.controller.admin.checktaskitem.vo.DmsCheckTaskItemPageReqVO;
import cn.iocoder.yudao.module.dms.controller.admin.checktaskitem.vo.DmsCheckTaskItemSaveReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktaskitem.DmsCheckTaskItemDO;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.validation.Valid;
import java.util.List;

/**
 * 点巡检任务检查项 Service 接口
 *
 * @author dzx
 */
public interface DmsCheckTaskItemService extends IService<DmsCheckTaskItemDO> {

    /**
     * 创建点巡检任务检查项
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCheckTaskItem(@Valid DmsCheckTaskItemSaveReqVO createReqVO);

    /**
     * 更新点巡检任务检查项
     *
     * @param updateReqVO 更新信息
     */
    void updateCheckTaskItem(@Valid DmsCheckTaskItemSaveReqVO updateReqVO);

    /**
     * 删除点巡检任务检查项
     *
     * @param id 编号
     */
    void deleteCheckTaskItem(Long id);

    /**
     * 获得点巡检任务检查项
     *
     * @param id 编号
     * @return 点巡检任务检查项
     */
    DmsCheckTaskItemDO getCheckTaskItem(Long id);

    /**
     * 获得点巡检任务检查项分页
     *
     * @param pageReqVO 分页查询
     * @return 点巡检任务检查项分页
     */
    PageResult<DmsCheckTaskItemDO> getCheckTaskItemPage(DmsCheckTaskItemPageReqVO pageReqVO);
    /**
     * 获得点巡检任务检查项列表
     *
     * @param pageReqVO 分页查询
     * @return 点巡检任务检查项分页
     */
    List<DmsCheckTaskItemDO> getCheckTaskItemList(DmsCheckTaskItemPageReqVO pageReqVO);


}
