package cn.iocoder.yudao.module.dms.service.devicerepair;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.dms.controller.admin.devicerepair.vo.DmsDeviceRepairPageReqVO;
import cn.iocoder.yudao.module.dms.controller.admin.devicerepair.vo.DmsDeviceRepairSaveReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.devicerepair.DmsDeviceRepairDO;

import javax.validation.Valid;

/**
 * 设备报修 Service 接口
 *
 * @author dzx
 */
public interface DmsDeviceRepairService {

    /**
     * 创建设备报修
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDeviceRepair(@Valid DmsDeviceRepairSaveReqVO createReqVO);

    /**
     * 更新设备报修
     *
     * @param updateReqVO 更新信息
     */
    void updateDeviceRepair(@Valid DmsDeviceRepairSaveReqVO updateReqVO);

    /**
     * 删除设备报修
     *
     * @param id 编号
     */
    void deleteDeviceRepair(Long id);

    /**
     * 获得设备报修
     *
     * @param id 编号
     * @return 设备报修
     */
    DmsDeviceRepairDO getDeviceRepair(Long id);

    /**
     * 获得设备报修分页
     *
     * @param pageReqVO 分页查询
     * @return 设备报修分页
     */
    PageResult<DmsDeviceRepairDO> getDeviceRepairPage(DmsDeviceRepairPageReqVO pageReqVO);

}
